#!/bin/bash
#PBS -l walltime=00:05:00 
#PBS -l nodes=1:ppn=8 
#PBS -V
#PBS -A course
#PBS -q DevQ
#PBS -o test.out
#PBS -e test.err

#cd /ichec/home/users/course02/EXERCISE/EXERCISE_PH/STEP_1

. ../environment.sh

cd $PROG/STEP_1
mkdir $TMP_DIR

el1='Ni'
name=$el1

let i=0

for a in  6.45 6.5 6.55 6.6 6.65 6.7 6.75 6.8 6.85 ;
do
i=`expr $i + 1`
cat > $name.d$i <<EOF
$el1
$el1
 &control
    calculation = 'scf'
    restart_mode='from_scratch',
    prefix='$el1',
    pseudo_dir = '$PSEUDO_DIR',
    outdir='$TMP_DIR'
 /
 &system    
    ibrav = 2, 
    celldm(1) = $a, 
    nat = 1, 
    ntyp = 1,
    nspin = 2,
    starting_magnetization(1) = 0.5,
    occupations = 'smearing',
    degauss = 0.02,
    ecutwfc = 30.0, 
    ecutrho = 300.0
 /
 &electrons
    conv_thr =  1.0d-8
 /
ATOMIC_SPECIES
$el1  0.0    Ni.pbe-rrkjus.UPF
ATOMIC_POSITIONS
$el1  0.0000000   0.00000000   0.0  
K_POINTS AUTOMATIC
4 4 4 1 1 1 
EOF

$ECHO $i

$PW_COMMAND < $name.d$i >> $name.out$i

ener=`grep ! $name.out$i | cut -c 35- | cut -c -13`
$ECHO $a $ener >> $name.dat

done

cat > inp <<EOF
au
fcc
4
$name.dat
$name.ev.out
EOF

$EV_COMMAND < inp > /dev/null
